=== debian/changelog ===
ros-lunar-rosbridge-server (0.10.1-0stretch) stretch; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Sat, 15 Dec 2018 15:00:00 -0000

ros-lunar-rosbridge-server (0.10.0-0stretch) stretch; urgency=high

  * CBOR encoding (#364 <https://github.com/RobotWebTools/rosbridge_suite/issues/364>)
    * Add CBOR encoding
    * Fix value extraction performance regression
    Extract message values once per message.
    * Fix typed array tags
    Was using big-endian tags and encoding little-endian.
    Always use little-endian for now since Intel is prevalent for desktop.
    Add some comments to this effect.
    * Update CBOR protocol documentation
    More information about draft typed arrays and when to use CBOR.
    * Fix 64-bit integer CBOR packing
    Use an actual 64-bit format.
  * Add param to enable ws per-message deflate (#365 <https://github.com/RobotWebTools/rosbridge_suite/issues/365>)
    * Add param to enable ws per-message deflate
    Tornado has its own per-message deflate compression option, which
    compresses each WebSocket message.  The compression level should be
    roughly equivalent to PNG compression, depending on whether the message is
    JSON or binary (CBOR).  The encoding/decoding time will be much faster
    than protocol PNG compression.
    This param should be enabled when wire size is important, e.g. not
    connecting to localhost.
  * rosbridge_server: Publish number of connected clients on latched topic. (#359 <https://github.com/RobotWebTools/rosbridge_suite/issues/359>)
  * Fix a few problems (#350 <https://github.com/RobotWebTools/rosbridge_suite/issues/350>)
    * xrange is not available in Python3, range works for both Python versions
    * the variable v is undefined in search_param, comparing the implementation with the sibling functions I expect name to be the intended variable
    * The module udp_handler is using the Authentication service but wasn't importing the module
  * use package format 2, remove unnecessary dependencies (#348 <https://github.com/RobotWebTools/rosbridge_suite/issues/348>)
  * Adding bson support for websockets (#327 <https://github.com/RobotWebTools/rosbridge_suite/issues/327>)
    * removed message that bson isn't supported. setting the bson only mode class attribute
    * added auth package inspection for bson only mode
  * Contributors: Dirk Thomas, Hans-Joachim Krauch, Matt Vollrath, Sanic

 -- Russell Toris <rctoris@wpi.edu>  Thu, 13 Dec 2018 15:00:00 -0000

ros-lunar-rosbridge-server (0.9.0-0stretch) stretch; urgency=high

  * Make unregister_timeout configurable (#322 <https://github.com/RobotWebTools/rosbridge_suite/issues/322>)
    Pull request #247 <https://github.com/RobotWebTools/rosbridge_suite/issues/247> introduces a 10 second delay to mitigate issue #138 <https://github.com/RobotWebTools/rosbridge_suite/issues/138>.
    This change makes this delay configurable by passing an argument either
    on the command line or when including a launch file.
    Usage example:
    ```xml
    <launch>
    <include file="$(find rosbridge_server)/launch/rosbridge_websocket.launch">
    <arg name="unregister_timeout" value="5.0"/>
    </include>
    </launch>
    ```
    Closes #320 <https://github.com/RobotWebTools/rosbridge_suite/issues/320>
  * Remove tornado fork from source code and add python-tornado as run dependency (#317 <https://github.com/RobotWebTools/rosbridge_suite/issues/317>)
    Release only for kinetic+
  * Fix bug that lost data while sending large packets (#310 <https://github.com/RobotWebTools/rosbridge_suite/issues/310>)
    * fix bug that lost data while sending large packets
  * Contributors: Jørgen Borgesen, MBlistein, WH-0501

 -- Russell Toris <rctoris@wpi.edu>  Sun, 08 Apr 2018 15:00:00 -0000

ros-lunar-rosbridge-server (0.8.6-0stretch) stretch; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Thu, 07 Dec 2017 15:00:00 -0000

ros-lunar-rosbridge-server (0.8.5-0stretch) stretch; urgency=high

  * Raise if inappropriate bson module is installed (Appease #198 <https://github.com/RobotWebTools/rosbridge_suite/issues/198>) (#270 <https://github.com/RobotWebTools/rosbridge_suite/issues/270>)
    * Raise Exception if inappropriate bson module is installed (Related to #198 <https://github.com/RobotWebTools/rosbridge_suite/issues/198>)
  * Add Python3 compatibility (#300 <https://github.com/RobotWebTools/rosbridge_suite/issues/300>)
    * First pass at Python 3 compatibility
    * message_conversion: Only call encode on a Python2 str or bytes type
    * protocol.py: Changes for dict in Python3. Compatible with Python 2 too.
    * More Python 3 fixes, all tests pass
    * Move definition of string_types to rosbridge_library.util
  * Contributors: Junya Hayashi, Kartik Mohta

 -- Russell Toris <rctoris@wpi.edu>  Wed, 22 Nov 2017 15:00:00 -0000

ros-lunar-rosbridge-server (0.8.4-0stretch) stretch; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Sun, 15 Oct 2017 15:00:00 -0000

ros-lunar-rosbridge-server (0.8.3-0stretch) stretch; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Sun, 10 Sep 2017 15:00:00 -0000

ros-lunar-rosbridge-server (0.8.2-0stretch) stretch; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Sun, 10 Sep 2017 15:00:00 -0000

ros-lunar-rosbridge-server (0.8.1-0stretch) stretch; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Tue, 29 Aug 2017 15:00:00 -0000

ros-lunar-rosbridge-server (0.8.0-0stretch) stretch; urgency=high

  * Merge pull request #281 <https://github.com/RobotWebTools/rosbridge_suite/issues/281> from RobotWebTools/expose_b64
    expose binary_encoder rosparam that was hidden in deep depth
  * address review comment. more explicitly describe valid args
  * correct the possible argument
  * expose binary_encoder rosparam that was hidden in deep depth
  * Merge pull request #277 <https://github.com/RobotWebTools/rosbridge_suite/issues/277> from T045T/remove_nodelay_for_udp
    don't try to set TCP nodelay option for UDP

