=== debian/control ===
Source: ros-lunar-rosbridge-server
Section: misc
Priority: extra
Maintainer: Russell Toris <rctoris@wpi.edu>
Build-Depends: debhelper (>= 9.0.0), ros-lunar-catkin
Homepage: http://ros.org/wiki/rosbridge_server
Standards-Version: 3.9.2

Package: ros-lunar-rosbridge-server
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python-backports.ssl-match-hostname, python-tornado, python-twisted-core, ros-lunar-rosapi, ros-lunar-rosauth, ros-lunar-rosbridge-library, ros-lunar-rospy
Description: A WebSocket interface to rosbridge.
